PHP Manual
Prev |  | Next

# mysql_num_fields

(PHP 3, PHP 4, PHP 5)

mysql_num_fields -- Get number of fields in result

## Description

int mysql_num_fields ( resource result )

Retrieves the number of fields from a query.

## Parameters

result

  The result resource that is being evaluated. This result comes from a call to mysql_query().

## Return Values

Returns the number of fields in the result set resource on success, or `FALSE` on failure.

## Examples

Example 1. A mysql_num_fields() example
`<?php $result = mysql_query("SELECT id,email FROM people WHERE id = '42'"); if (!$result) { echo 'Could not run query: ' . mysql_error(); exit; } /* returns 2 because id,email === two fields */ echo mysql_num_fields($result); ?>`

## Notes

> Note: For downward compatibility, the following deprecated alias may be used: mysql_numfields()

## See Also

mysql_select_db()
mysql_query()
mysql_fetch_field()
mysql_num_rows()

Prev | Home | Next
mysql_list_tables | Up | mysql_num_rows